KLA12545
Multiple vulnerabilities in Mozilla Firefox

Updated: 06/02/2022
Detect date
?
05/31/2022
Severity
?
High
Description

Multiple vulnerabilities were found in Mozilla Firefox. Malicious users can exploit these vulnerabilities to obtain sensitive information, bypass security restrictions, cause denial of service, execute arbitrary code, spoof user interface.

Below is a complete list of vulnerabilities:

  1. Denial of service vulnerability can be exploited to cause denial of service.
  2. Security vulnerability can be exploited to bypass security restrictions.
  3. Denial of service vulnerability in WASM on arm64 can be exploited to cause denial of service.
  4. Heap buffer overflow vulnerability in WebGL can be exploited to cause denial of service.
  5. A remote code execution vulnerability can be exploited to execute arbitrary code.
  6. A memory corruption vulnerability can be exploited to execute arbitrary code.
  7. Spoof user interface vulnerability in fullscreen mode can be exploited to spoof user interface.
  8. Obtain sensitive information vulnerability in WebAuthn token can be exploited to obtain sensitive information.
  9. Denial of service vulnerability can be exploited to cause denial of service or execute arbitrary code.
Affected products

Mozilla Firefox earlier than 101.0

Solution

Update to the latest version
Download Firefox

Original advisories

MFSA2022-20

Impacts
?
ACE 
[?]

OSI 
[?]

DoS 
[?]

SB 
[?]

SUI 
[?]
Related products
Mozilla Firefox
Find out the statistics of the vulnerabilities spreading in your region